cURL
curl --request GET \
--url https://api.useanima.sh/v1/vault/credentials \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"name": "<string>",
"favorite": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"login": {
"username": "<string>",
"password": "<string>",
"uris": [
{
"uri": "<string>"
}
],
"totp": "<string>"
},
"card": {
"cardholderName": "<string>",
"brand": "<string>",
"number": "<string>",
"expMonth": "<string>",
"expYear": "<string>",
"code": "<string>"
},
"identity": {
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"company": "<string>",
"ssn": "<string>"
},
"oauthToken": {
"provider": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"tokenEndpoint": "<string>",
"clientId": "<string>",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z",
"clientSecret": "<string>",
"autoRefresh": true
},
"apiKey": {
"provider": "<string>",
"key": "<string>",
"prefix": "<string>",
"rateLimit": {
"requests": 1,
"window": "<string>"
},
"expiresAt": "2023-11-07T05:31:56Z",
"scopes": [
"<string>"
]
},
"certificate": {
"certificate": "<string>",
"privateKey": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"chain": [
"<string>"
]
},
"fields": [
{
"name": "<string>",
"value": "<string>"
}
],
"folderId": "<string>",
"organizationId": "<string>",
"collectionIds": [
"<string>"
]
}
]
}API Reference
Get vaultcredentials
GET
/
vault
/
credentials
cURL
curl --request GET \
--url https://api.useanima.sh/v1/vault/credentials \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"name": "<string>",
"favorite": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"login": {
"username": "<string>",
"password": "<string>",
"uris": [
{
"uri": "<string>"
}
],
"totp": "<string>"
},
"card": {
"cardholderName": "<string>",
"brand": "<string>",
"number": "<string>",
"expMonth": "<string>",
"expYear": "<string>",
"code": "<string>"
},
"identity": {
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"company": "<string>",
"ssn": "<string>"
},
"oauthToken": {
"provider": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"tokenEndpoint": "<string>",
"clientId": "<string>",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z",
"clientSecret": "<string>",
"autoRefresh": true
},
"apiKey": {
"provider": "<string>",
"key": "<string>",
"prefix": "<string>",
"rateLimit": {
"requests": 1,
"window": "<string>"
},
"expiresAt": "2023-11-07T05:31:56Z",
"scopes": [
"<string>"
]
},
"certificate": {
"certificate": "<string>",
"privateKey": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"chain": [
"<string>"
]
},
"fields": [
{
"name": "<string>",
"value": "<string>"
}
],
"folderId": "<string>",
"organizationId": "<string>",
"collectionIds": [
"<string>"
]
}
]
}Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Query Parameters
Agent identifier. Optional when using an agent API key (resolved automatically); required when using a master key.
Pattern:
^[0-9a-z]+$Response
200 - application/json
OK
List of vault credentials
List of credentials matching the query
Show child attributes
Show child attributes
⌘I
